org.appng.appngizer.model

## Class Application

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Application
      - - org.appng.appngizer.model.Application

- All Implemented Interfaces:
    UriAware

      public class Application
      extends Application
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Application

      `displayName, fileBased, hidden, privileged, version`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Application(String name)`
    `Application(String name, String site)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLinks()`
    `static Application` | `fromDomain(ApplicationImpl appImpl)`
    `static Application` | `fromDomain(ApplicationImpl appImpl, String site)`
    `static ApplicationImpl` | `toDomain(Application a)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Application

      `getDisplayName, getVersion, isFileBased, isHidden, isPrivileged, setDisplayName, setFileBased, setHidden, setPrivileged, setVersion`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Application

          public Application(String name)

    - #### Application

          public Application(String name,
                             String site)

  - ### Method Detail

    - #### addLinks

          public void addLinks()

    - #### fromDomain

          public static Application fromDomain(ApplicationImpl appImpl)

    - #### fromDomain

          public static Application fromDomain(ApplicationImpl appImpl,
                                               String site)

    - #### toDomain

          public static ApplicationImpl toDomain(Application a)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.